Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

request to upgrade simple-scan [ Solved ]

Report Bugs, Issues and non- pacakage Requests
Post Reply
Message
Author
User avatar
txm0523
Forum Novice
Forum  Novice
Posts: 3
Joined: Sat Oct 06, 2018 5:34 pm

request to upgrade simple-scan [ Solved ]

#1 Post by txm0523 » Thu Oct 11, 2018 6:54 pm

Greetings,

I am currently running the latest version of MX17.
My Canon scanner will not work with simple-scan vs 23.0 that comes with MX17.
I have tried other live distros that have simple-scan version at 3.28 or 3.30. My Canon scanner works with those versions.
Can someone upgrade your simple-scan app along with it's dependencies to the latest version ?
That would be really helpful.

Thanks,

txm0523
Last edited by txm0523 on Fri Oct 12, 2018 8:23 pm, edited 1 time in total.

User avatar
c4os
Forum Novice
Forum  Novice
Posts: 64
Joined: Tue Jun 19, 2018 12:28 pm

Re: request to upgrade simple-scan

#2 Post by c4os » Fri Oct 12, 2018 3:26 am

Hello txm0523,

thanks for your first post and welcome to the MX forum.
What is exactly the problem?
I had also problems with my Canon LIDE30 scanner which has only usb power supply.
It has scanned only the fist page and all other pages after was black.
The kernel usb autosuspend has powered down the usb power.
https://mxlinux.org/wiki/hardware/scanners#Canon

Please be sure that this in not the problem. Not all packages are up-to-date, but stable.
My problem has been fixed until I switched to my second Epson scanner with additional power supply.

Best c4os
Powered on: MX 17 Horizon x86_64
Hardware: Dell Latitude E4300 - CPU: Intel Core 2 Duo P9600 (2) @ 2.535GHz - Memory: 4GB
Style: Resolution: 1280x800 - WM Theme: Balou - Theme: Blackbird [GTK2/3] - Icons: Papirus-Dark [GTK2]

PPC
Forum Novice
Forum  Novice
Posts: 65
Joined: Tue Sep 11, 2018 8:22 am

Re: request to upgrade simple-scan

#3 Post by PPC » Fri Oct 12, 2018 5:07 am

Hi, txm0523

If indeed for some reason the simple scanner version you are using is the problem did you try installing a more recent version snap of simple-scan (check out https://snapcraft.io/simple-scan)?

P.

User avatar
asqwerth
Forum Veteran
Forum Veteran
Posts: 3631
Joined: Sun May 27, 2007 5:37 am

Re: request to upgrade simple-scan

#4 Post by asqwerth » Fri Oct 12, 2018 5:40 am

Snap needs systemd so if you go that route you will need to boot into systemd in MX (which is not the default init).

But check out the possibilities in c4os's post first.
Desktop: Intel i5-4460, 16GB RAM, Intel integrated graphics
Clevo N130WU-based Ultrabook: Intel i7-8550U (Kaby Lake R), 16GB RAM, Intel integrated graphics (UEFI)
ASUS X42D laptop: AMD Phenom II, 6GB RAM, Mobility Radeon HD 5400

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4482
Joined: Wed Jul 12, 2006 4:05 pm

Re: request to upgrade simple-scan

#5 Post by timkb4cq » Fri Oct 12, 2018 11:41 am

Simple-scan 3.28-1 is now available in the MX-17 Test repo. Use the Package Installer in MX-Tools to access the Test repo.

I have a Canon LIDE30 scanner & it works properly with the new version - but it also works with the stock 3.23 version. I did have to edit /etc/default/tlp as I described in the post c4os linked above.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
richb
Administrator
Posts: 17486
Joined: Wed Jul 12, 2006 2:17 pm

Re: request to upgrade simple-scan

#6 Post by richb » Fri Oct 12, 2018 1:17 pm

Also works with HP Photosmart 6510 printer/scanner. No other intervention required.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

User avatar
txm0523
Forum Novice
Forum  Novice
Posts: 3
Joined: Sat Oct 06, 2018 5:34 pm

Re: request to upgrade simple-scan

#7 Post by txm0523 » Fri Oct 12, 2018 3:45 pm

Thanks for the welcome.
Yes, I did try another Live DVD of Linux which had simple-scan at version 3.28.
My Canon scanner worked perfectly on that, but not on the current version in MX-17.
The flatbed scanner worked all the time with older versions of simple-scan, but I am unable to force an older version in Synaptic because that option is greyed out.
I will try the recommendations offered here.
I'll post later when I see what got it going again.

Thanks for your help.

txm0523

User avatar
txm0523
Forum Novice
Forum  Novice
Posts: 3
Joined: Sat Oct 06, 2018 5:34 pm

Re: request to upgrade simple-scan [ Solved ]

#8 Post by txm0523 » Fri Oct 12, 2018 8:23 pm

I finally got the Canon CanoScan N1240u/LiDE 30 Scanner working. At first I edited the /etc/default.tlp file and saved it. Rebooted and scanner still did not work.
Then I went into MX Package Installer and checked the test repository and upgraded the simple-scan package to 3.28.
That still did not work either. So I went back and re-read the instructions to edit the /etc/default/tlp file. I noticed that I did not uncomment the last line as instructed.
I then changed that, saved the file and rebooted. Now simple-scan works great. So, I don't know exactly which of the suggestions worked.

Thank you so much to all of you that offered the suggestions. Am a happy camper now.
You guys are the greatest.

I am marking this topic as Solved.

txm0523

Post Reply

Return to “Bugs and Non-Package Requests Forum”